<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<persistence xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
             xmlns="http://java.sun.com/xml/ns/persistence"
             xsi:schemaLocation="http://java.sun.com/xml/ns/persistence http://java.sun.com/xml/ns/persistence/persistence_2_0.xsd"
             version="2.0">
    <persistence-unit name="bo" transaction-type="RESOURCE_LOCAL">
        <class>ch.ge.ve.bo.repository.entity.Operation</class>
        <class>ch.ge.ve.bo.repository.entity.Milestone</class>
        <class>ch.ge.ve.bo.repository.entity.File</class>
        <class>ch.ge.ve.bo.repository.entity.VoterTestingCardsLot</class>
        <class>ch.ge.ve.bo.repository.entity.RegisterMetadata</class>
        <class>ch.ge.ve.bo.repository.entity.OperationConsistency</class>
        <class>ch.ge.ve.bo.repository.entity.HighlightedQuestion</class>
        <class>ch.ge.ve.bo.repository.entity.LocalizedHighlightedQuestion</class>
        <class>ch.ge.ve.bo.repository.entity.BallotDocumentation</class>
        <class>ch.ge.ve.bo.repository.entity.ElectionPageProperties</class>
        <class>ch.ge.ve.bo.repository.entity.ElectionPagePropertiesModel</class>
        <class>ch.ge.ve.bo.repository.entity.Dictionary</class>
        <class>ch.ge.ve.bo.repository.entity.DownloadToken</class>
        <class>ch.ge.ve.bo.repository.entity.ElectoralAuthorityKey</class>
        <class>ch.ge.ve.bo.repository.entity.SimulationPeriodConfiguration</class>
        <class>ch.ge.ve.bo.repository.entity.ElectoralAuthorityKeyConfiguration</class>
        <class>ch.ge.ve.bo.repository.entity.VotingSiteConfiguration</class>
        <exclude-unlisted-classes>true</exclude-unlisted-classes>
        <shared-cache-mode>ENABLE_SELECTIVE</shared-cache-mode>
        <properties>
            <property name="hibernate.generate_statistics" value="false"/>
            <property name="hibernate.jdbc.batch_size" value="50"/>
            <property name="hibernate.order_inserts" value="true"/>
            <property name="hibernate.order_updates" value="true"/>
            <property name="hibernate.jdbc.batch_versioned_data" value="true"/>
        </properties>
    </persistence-unit>
</persistence>

